Page MenuHomeFreeBSD

vt(4): Switch window when entering ddb or a panic occurs
ClosedPublic

Authored by dumbbell on Aug 24 2014, 7:27 PM.

Details

Reviewers
ray
emaste
Summary

The patch add the cngrab/cnungrab callbacks to vt(4). Their implementation is copied from syscons.

In drm_fb_helper.c, drm_fb_helper_restore_fbdev_mode() must not be executed in a taskqueue thread when DDB is active, because the thread won't run.

Diff Detail

Repository
rS FreeBSD src repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

dumbbell updated this revision to Diff 1245.Aug 24 2014, 7:27 PM
dumbbell retitled this revision from to vt(4): Switch window when entering ddb or a panic occurs.
dumbbell updated this object.
dumbbell edited the test plan for this revision. (Show Details)
dumbbell added reviewers: emaste, ray.
ray edited edge metadata.Aug 26 2014, 11:25 AM

Yeah, it is right thing.
Please do!

ray accepted this revision.Aug 26 2014, 12:02 PM
ray edited edge metadata.

Looks good!

This revision is now accepted and ready to land.Aug 26 2014, 12:02 PM
dumbbell closed this revision.Aug 27 2014, 10:11 AM

Thanks, committed in r270705 and r270706!